Hlavní navigace

Linux: zrušení podpory starších GCC

Petr Krčmář

Adrian Bunk zaslal do konference Linux kernel mailing list patch, který ruší podporu starších verzí překladačů z rodiny Gnu Compiler Collection.

Po jeho aplikování už nebude možno jádro přeložit s GCC nižších verzí než 3.2. Adrian argumentoval tím, že jsou jednak tyto překladače už používány minimálně a hlavně se tímto krokem významně pročístí celý kód od #ifdef a dalšího kódu. Počet podporovaných verzí GCC se tak sníží z osmi na čtyři.

Na zaslaný patch reagoval David Miller s tím, že je nesmysl zbavit se této podpory, protože řada lidí používá stále ještě GCC 2.95 kvůli rychlosti nebo jednoduše proto, že na některých platformách (zmínil Vax) se prostě jádro s novějším GCC přeložit vůbec nedá.

(zdroj: Kerneltrap)

Našli jste v článku chybu?